API docs / Image models

flux-canny-dev API

Open-weight edge-guided image generation. Control structure and composition using Canny edge detection.

Model id
black-forest-labs/flux-canny-dev
Provider
Flux AI
Output
Image
Price
From 9 credits per run, the same as on voor.ai. Options such as length or resolution can change it.

Request

POST https://voor.ai/v1/generations with "model": "black-forest-labs/flux-canny-dev". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "black-forest-labs/flux-canny-dev",
  "input": {
    "prompt": "A red fox standing in fresh snow at golden hour, soft light",
    "control_image": [
      "https://example.com/input.png"
    ]
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
promptrequiredstring

Prompt for generated image

output_countnumber

Number of outputs to generate

Default: 1

Min 1 · Max 4

seednumber

Random seed. Set for reproducible generation

guidancenumber

Guidance for generated image

Default: 30

Min 0 · Max 100

stepsnumber

Number of denoising steps. Recommended range is 28-50, and lower number of steps produce lower quality outputs, faster.

Default: 28

Min 1 · Max 50

output_formatstring

Default: webp

One of: webp, jpg, png

control_imagerequiredarray of URLs

Image used to control the generation. The canny edge detection will be automatically generated.

Up to 1 files · Accepts image/*

megapixelsstring

Default: 1

One of: 1, 0.25, match_input

output_qualitynumber

Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs

Default: 80

Min 0 · Max 100